import { PathOrURLStr } from 'polar-shared/src/util/Strings';
import { PDFProps } from "./PDFProps";
import { StreamRangeFactory } from "polar-shared/src/util/Streams";
export declare class PDFMetadata {
    static isPDF(streamRangeFactory: StreamRangeFactory): Promise<boolean>;
    static getMetadata(docPathOrURL: PathOrURLStr): Promise<PDFMeta>;
}
export interface PDFMeta {
    readonly fingerprint: string;
    readonly nrPages: number;
    readonly title?: string;
    readonly creator?: string;
    readonly description?: string;
    readonly doi?: string;
    readonly link?: string;
    readonly props: Readonly<PDFProps>;
}
